Pimcommon

needupdateversionwidget.h
1/*
2 SPDX-FileCopyrightText: 2023-2024 Laurent Montel <montel.org>
3
4 SPDX-License-Identifier: GPL-2.0-or-later
5*/
6
7#pragma once
8#include "pimcommon_export.h"
9#include <KMessageWidget>
10#include <PimCommon/NeedUpdateVersionUtils>
11namespace PimCommon
12{
13/**
14 * @brief The NeedUpdateVersionWidget class
15 * @author Laurent Montel <montel@kde.org>
16 */
17class PIMCOMMON_EXPORT NeedUpdateVersionWidget : public KMessageWidget
18{
19 Q_OBJECT
20public:
21 explicit NeedUpdateVersionWidget(QWidget *parent = nullptr);
22 ~NeedUpdateVersionWidget() override;
23
24 void setObsoleteVersion(NeedUpdateVersionUtils::ObsoleteVersion obsolete);
25
26private:
27 PIMCOMMON_NO_EXPORT void slotDisableVersionCheck();
28};
29}
The NeedUpdateVersionWidget class.
folderdialogacltab.h
This file is part of the KDE documentation.
Documentation copyright © 1996-2024 The KDE developers.
Generated on Fri Jun 21 2024 11:54:32 by doxygen 1.10.0 written by Dimitri van Heesch, © 1997-2006

KDE's Doxygen guidelines are available online.